## logcheck 1.4.4

=== debian/changelog ===
logcheck (1.4.4) unstable; urgency=medium

  [ Andrea Janna ]
  * Fix logcheck ignoring -t flag for systemd journal (Closes: #1081939)

  [ Bryce Harrington ]
  * Update cron rules (Closes: #1076745)

  [ Dan Langille ]
  * Correct a typo in a pathname (Closes: #1074262)

  [ Grzegorz Szymaszek ]
  * Add missing option -m value hint in the docs

  [ Mathias Gibbens ]
  * Add logcheck user to the systemd-journal group in postinst script
    (Closes: #1103992)
  * Add a basic systemd timer/service for logcheck (See: #1020328)
  * d/control:
    - Prefer systemd-sysv over cron
    - Mark logtail as Multi-Arch: foreign
  * d/copyright:
    - Fix lintian warning old-fsf-address-in-copyright-file
  * Update d/logcheck.lintian-overrides
  * Switch default branch to debian/sid
  * Rules updates:
    - Add opendkim and opendmarc rules

  [ Richard Lewis ]
  * Ensure that if a user deleted /etc/logcheck/header.txt before
    upgrading to bookworm then the file stays deleted (Closes: #1049412).
    NB that the best way to suppress the header is to set INTRO=0 in
    /etc/logcheck/logcheck.conf
  * Rules updates:
    - Add dbus-daemon, libpam-systemd, runuser, systemd-journald and
      systemd-networkd rules
    - Add NetworkManager rules (Closes: #497325)
    - Add rtkit-daemon rules (Closes: #975098; thanks to Stefan Kangas)
    - Update bind rules (Closes: #909036; thanks to mi te)
    - Update pure-ftpd rules (Closes: #654557; thanks to Gabor Kiss)
    - Update smartd rules (Closes: #1071426; thanks to Stefanos Harhalakis)
    - Update ssh rules (Closes: #648146, #890894)
    - Update systemd rules (Closes: #1086341; thanks to Craig Small)
    - Update systemd-timesyncd rules

  [ Sertonix ]
  * Update doc and install for /run/lock directory

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 03 May 2025 13:51:21 +0000

## logcheck 1.4.5

=== Makefile ===
#!/usr/bin/make -f

CONFDIR = etc/logcheck
SBINDIR = usr/sbin
BINDIR = usr/bin
SHAREDIR = usr/share/logtail/detectrotate

all:

install:
	# Create the directories
	install -m 750 -d $(DESTDIR)/$(CONFDIR)
	install -d $(DESTDIR)/var/lib/logcheck
	install -d $(DESTDIR)/$(SBINDIR)
	install -d $(DESTDIR)/$(BINDIR)
	install -d $(DESTDIR)/run/lock/logcheck
	install -d $(DESTDIR)/$(SHAREDIR)

	# Create directories for rules logcheck-database
	install -m 755 -d $(DESTDIR)/$(CONFDIR)/ignore.d.paranoid
	install -m 755 -d $(DESTDIR)/$(CONFDIR)/ignore.d.workstation
	install -m 755 -d $(DESTDIR)/$(CONFDIR)/ignore.d.server
	install -m 755 -d $(DESTDIR)/$(CONFDIR)/cracking.d
	install -m 755 -d $(DESTDIR)/$(CONFDIR)/cracking.ignore.d
	install -m 755 -d $(DESTDIR)/$(CONFDIR)/violations.d
	install -m 755 -d $(DESTDIR)/$(CONFDIR)/violations.ignore.d

	install -m 755 -d $(DESTDIR)/$(CONFDIR)/logcheck.logfiles.d

	# Create directories for rules logcheck-database-extra
	#install -m 2750 -d $(DESTDIR)/$(CONFDIR)/extra/ignore.d.paranoid
	#install -m 2750 -d $(DESTDIR)/$(CONFDIR)/extra/ignore.d.workstation
	#install -m 2750 -d $(DESTDIR)/$(CONFDIR)/extra/ignore.d.server
	#install -m 2750 -d $(DESTDIR)/$(CONFDIR)/extra/cracking.d
	#install -m 2750 -d $(DESTDIR)/$(CONFDIR)/extra/cracking.ignore.d
	#install -m 2750 -d $(DESTDIR)/$(CONFDIR)/extra/violations.d
	#install -m 2750 -d $(DESTDIR)/$(CONFDIR)/extra/violations.ignore.d
	#install -m 2750 -d $(DESTDIR)/$(CONFDIR)/extra/logcheck.logfiles.d

	# Install the scripts
	install -m 755 src/logcheck $(DESTDIR)/$(SBINDIR)/
	sed -i "s/^VERSION=unknown$$/VERSION=$$(dpkg-parsechangelog -S version)/" $(DESTDIR)/$(SBINDIR)/logcheck
	install -m 755 src/logtail $(DESTDIR)/$(SBINDIR)/
	install -m 755 src/logtail2 $(DESTDIR)/$(SBINDIR)/
	install -m 755 src/logcheck-test $(DESTDIR)/$(BINDIR)/
	install -m 644 src/detectrotate/10-savelog.dtr $(DESTDIR)/$(SHAREDIR)/
	install -m 644 src/detectrotate/20-logrotate.dtr $(DESTDIR)/$(SHAREDIR)/
	install -m 644 src/detectrotate/30-logrotate-dateext.dtr $(DESTDIR)/$(SHAREDIR)/

	# Install the config files
	install -m 644 etc/logcheck.logfiles $(DESTDIR)/$(CONFDIR)
	install -m 644 etc/logcheck.conf $(DESTDIR)/$(CONFDIR)
	install -m 644 etc/logcheck.logfiles.d/* $(DESTDIR)/$(CONFDIR)/logcheck.logfiles.d/

	# Install the rulefiles
	install -m 644 rulefiles/linux/ignore.d.paranoid/* \
		$(DESTDIR)/$(CONFDIR)/ignore.d.paranoid/
	install -m 644 rulefiles/linux/ignore.d.server/* \
		$(DESTDIR)/$(CONFDIR)/ignore.d.server/
	install -m 644 rulefiles/linux/ignore.d.workstation/* \
		$(DESTDIR)/$(CONFDIR)/ignore.d.workstation/
	install -m 644 rulefiles/linux/violations.d/* \
		$(DESTDIR)/$(CONFDIR)/violations.d/
	install -m 644 rulefiles/linux/violations.ignore.d/* \
		$(DESTDIR)/$(CONFDIR)/violations.ignore.d/
	install -m 644 rulefiles/linux/cracking.d/* \
		$(DESTDIR)/$(CONFDIR)/cracking.d/

	# Install the rulefiles for extra
	#install -m 644 rulefiles/linux-extra/ignore.d.paranoid/* \
	#	$(DESTDIR)/$(CONFDIR)/extra/ignore.d.paranoid/
	#install -m 644 rulefiles/linux-extra/ignore.d.server/* \
	#	$(DESTDIR)/$(CONFDIR)/extra/ignore.d.server/
	#install -m 644 rulefiles/linux-extra/ignore.d.workstation/* \
	#	$(DESTDIR)/$(CONFDIR)/extra/ignore.d.workstation/
	#install -m 644 rulefiles/linux-extra/violations.d/* \
	#	$(DESTDIR)/$(CONFDIR)/extra/violations.d/
	#install -m 644 rulefiles/linux-extra/violations.ignore.d/* \
	#	$(DESTDIR)/$(CONFDIR)/extra/violations.ignore.d/
	#install -m 644 rulefiles/linux-extra/cracking.d/* \
	#	$(DESTDIR)/$(CONFDIR)/extra/cracking.d/

clean:
	# Remove the scripts
	-rm -f  $(DESTDIR)/$(SBINDIR)/logcheck
	-rm -f  $(DESTDIR)/$(SBINDIR)/logtail
	-rm -f  $(DESTDIR)/$(SBINDIR)/logtail2
	-rm -f  $(DESTDIR)/$(BINDIR)/logcheck-test
	# Remove the configfiles
	-rm -f $(DESTDIR)/$(CONFDIR)/logcheck.logfiles
	-rm -f $(DESTDIR)/$(CONFDIR)/logcheck.conf
	# Remove the rulesfiles
	-rm -rf $(DESTDIR)/$(CONFDIR)/ignore.d.paranoid/
	-rm -rf $(DESTDIR)/$(CONFDIR)/ignore.d.server/
	-rm -rf $(DESTDIR)/$(CONFDIR)/ignore.d.workstation/
	-rm -rf $(DESTDIR)/$(CONFDIR)/violations.d/
	-rm -rf $(DESTDIR)/$(CONFDIR)/violations.d/
	-rm -rf $(DESTDIR)/$(CONFDIR)/violations.ignore.d/
	-rm -rf $(DESTDIR)/$(CONFDIR)/cracking.d/
	-rm -rf $(DESTDIR)/$(CONFDIR)/logcheck.logfiles.d/
	# Remove the statedir and it's contents
	-rm -rf $(DESTDIR)/var/lib/logcheck

	# Finally remove the config directory
	-rmdir $(DESTDIR)/$(CONFDIR)

distclean:
	-find . -name "*~" | xargs --no-run-if-empty rm -vf

system-test:
	cd test; rm -fv state/*; \
		../src/logcheck -c ../etc/logcheck.conf \
				-l ../etc/logcheck.logfiles \
				-r ../rulefiles/linux \
				-S state/ -o

=== debian/changelog ===
logcheck (1.4.5) unstable; urgency=medium

  * Add a sleep to logcheck.service to allow exim4 sufficient time to process
    its queue (Closes: #1105792, #1106030)
  * Add NEWS entry about introduction of systemd service/timer
    (Closes: #1106667)

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 31 May 2025 22:18:22 +0000

## logcheck 1.4.5+deb13u1

=== debian/changelog ===
logcheck (1.4.5+deb13u1) trixie; urgency=medium

  [ Paul Aurich ]
  * Update and simplify regex in ignore.d.paranoid/ssh

  [ Yasuhiro Kimura ]
  * Update ignore.d.paranoid/ssh and ignore.d.server/ssh

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 29 Aug 2025 14:02:27 +0000

=== debian/control ===
Source: logcheck
Section: admin
Priority: optional
Maintainer: Debian logcheck Team <logcheck@packages.debian.org>
Uploaders: Jose M Calhariz <calhariz@debian.org>,
           Mathias Gibbens <gibmat@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: docbook-to-man
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/logcheck.git
Vcs-Browser: https://salsa.debian.org/debian/logcheck

Package: logcheck
Architecture: all
Depends: adduser,
         lockfile-progs,
         default-mta | mail-transport-agent,
         mime-construct,
         systemd-sysv | cron|anacron|cron-daemon,
         logtail,
         ${misc:Depends}
Recommends: logcheck-database (>= ${source:Version})
Enhances: rsyslog, system-log-daemon, systemd
Suggests: rsyslog | system-log-daemon
Description: check the system log for unusual entries
 Logcheck analyses the system log for unuexpected entries that could
 indicate problems or security issues.
 .
 Log entries in the system log (produced by systemd-journald, rsyslog
 or another system-log-dameon) are checked against a customisable
 database of regular expressions (such as that provided by the
 logcheck-database package) to identify routine messages: anything
 that does not identified as routine is reported to the system
 administrator.
 .
 Logcheck was originally part of the Abacus Project of security tools,
 but has been rewritten.

Package: logcheck-database
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: logcheck
Description: database of system log rules for logcheck
 This package brings a database of regular expressions for matching
 system log entries. It is part of Logcheck, but might be used by
 other log checkers.

#Package: logcheck-database-extra
#Architecture: all
#Depends: ${misc:Depends}
#Description: database of more common system log rules than logcheck-database
# This database is part of the Logcheck package, but might be used by
# others.  It brings a database of regular expressions for matching
# very common system log entries that do not belong to
# logcheck-database.  This entries for example match common startup and
# stop messages of daemons.

Package: logtail
Architecture: all
Multi-Arch: foreign
Depends: perl:any,
         ${misc:Depends}
Enhances: logcheck
Description: Identify new lines added to the end of log files
 Each time logtail and logtail2 are run on a file they print lines
 added since the last run.
 .
 They can be used by log checkers, such as logcheck, to identify new
 entries in log files.
 .
 This package provides both logtail and logtail2. The latter is better
 suited to log files that may be rotated between runs: if logtail2
 finds that the inode of the file changed, it tries to find the file
 it was rotated from using customisable heuristics. If it finds the
 file, it will new find lines added to the old file as well as to the
 new file.

## logcheck 1.4.6

=== debian/changelog ===
logcheck (1.4.6) unstable; urgency=medium

  * Team upload with Maintainer's approval
  * Use RuntimeDirectory= or XDG_RUNTIME_DIR or TMPDIR or /tmp/ for lock
    directory

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Aug 2025 16:43:38 +0100

## logcheck 1.4.7

=== debian/changelog ===
logcheck (1.4.7) unstable; urgency=medium

  [ Mathias Gibbens ]
  * Update Standards-Version to 4.7.2 (no changes needed)

  [ Paul Aurich ]
  * Update and simplify regex in ignore.d.paranoid/ssh

  [ Yasuhiro Kimura ]
  * Update ignore.d.paranoid/ssh and ignore.d.server/ssh

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 29 Aug 2025 13:57:14 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian logcheck Team <logcheck@packages.debian.org>
 Uploaders: Jose M Calhariz <calhariz@debian.org>,
            Mathias Gibbens <gibmat@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: docbook-to-man
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	docbook-to-man docs/logcheck.sgml > debian/logcheck.8
	dh_auto_build

override_dh_auto_clean:
	rm -f debian/logcheck.8
	dh_auto_clean

override_dh_fixperms:
	dh_fixperms --exclude /etc/logcheck/logcheck.

=== debian/tests/control ===
Tests: 01-logcheck
Depends: @, bash, logcheck-database
Restrictions: needs-root

## logcheck 1.4.7build1

=== debian/changelog ===
logcheck (1.4.7build1) resolute; urgency=medium

  * Rebuild to clear amd64v3 from FTBFS report

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Dec 2025 07:47:02 -0500
